cancel
Showing results for 
Search instead for 
Did you mean: 
cancel
1532
Views
0
Helpful
6
Replies
Beginner

IOS-XR 5.3.3 SMU CSCux24553

Perhaps this is best as a TAC case, but thought I'd ask here as well.

I've upgraded to XR5.3.3 and having trouble with recommended SMU CSCux24553 and then CSCuy71556.

CSM says 24553 is recommended and 71556 is optional  - although both issues look significant.

I have the required SMUs active (CSCuy63743 and CSCuy38364) but 24553 will not install.

I do not have the 'services-infra' PIE installed as I'm not using CGv6 - although this seems to be the the root of this issue.

I could install it to resolve this issue, but there seems to be a problem here.

This SMU is recommended, but I cannot install it because an optional PIE my router does not use is not loaded.

I've never run into this situation before - I might assume it's an isolated dependency problem.

Any others run into dependency issue like this?

I suppose one could just always load all unnecessary optional PIEs  but that breaks a reason for being modular.

===== gory details =====

Install operation 62 '(admin) install activate id 61' started by user <X> via CLI at 09:50:44 EDT Sun Apr 24 2016.
Info: This operation will activate the following package:
Info: disk0:asr9k-px-5.3.3.CSCux24553-1.0.0
Error: Cannot proceed with the activation because of the following package incompatibilities:
Error: asr9k-base-5.3.3.CSCux24553-1.0.0 needs asr9k-services-infra-5.3.3.CSCuy38364-1.0.0 to be active on the
Error: same nodes.
Error: asr9k-os-mbi-5.3.3.CSCux24553-1.0.0 needs asr9k-services-infra-5.3.3.CSCuy38364-1.0.0 to be active on the
Error: same nodes.
Error: Suggested steps to resolve this:
Error: - check the installation instructions.
Error: - activate or deactivate the specified packages on the specified nodes.

(admin)#show inst ac
Sun Apr 24 09:53:28.346 EDT
Secure Domain Router: Owner

Node 0/RSP0/CPU0 [RP] [SDR: Owner]
Boot Device: disk0:
Boot Image: /disk0/asr9k-os-mbi-5.3.3.CSCuy32183-1.0.0/0x100305/mbiasr9k-rsp3.vm
Active Packages:
disk0:asr9k-fpd-px-5.3.3
disk0:asr9k-k9sec-px-5.3.3
disk0:asr9k-mcast-px-5.3.3
disk0:asr9k-mgbl-px-5.3.3
disk0:asr9k-mini-px-5.3.3
disk0:asr9k-mpls-px-5.3.3
disk0:asr9k-optic-px-5.3.3
disk0:asr9k-px-5.3.3.CSCuv63743-1.0.0
disk0:asr9k-px-5.3.3.CSCuw80087-1.0.0
disk0:asr9k-px-5.3.3.CSCuw80979-1.0.0
disk0:asr9k-px-5.3.3.CSCuw82287-1.0.0
disk0:asr9k-px-5.3.3.CSCuw93667-1.0.0
disk0:asr9k-px-5.3.3.CSCux31992-1.0.0
disk0:asr9k-px-5.3.3.CSCux41951-1.0.0
disk0:asr9k-px-5.3.3.CSCux74246-1.0.0
disk0:asr9k-px-5.3.3.CSCux78222-1.0.0
disk0:asr9k-px-5.3.3.CSCux88135-1.0.0
disk0:asr9k-px-5.3.3.CSCux93541-1.0.0
disk0:asr9k-px-5.3.3.CSCux95550-1.0.0
disk0:asr9k-px-5.3.3.CSCuy13233-1.0.0
disk0:asr9k-px-5.3.3.CSCuy17914-1.0.0
disk0:asr9k-px-5.3.3.CSCuy21312-1.0.0
disk0:asr9k-px-5.3.3.CSCuy26915-1.0.0
disk0:asr9k-px-5.3.3.CSCuy32183-1.0.0
disk0:asr9k-px-5.3.3.CSCuy62344-1.0.0
disk0:asr9k-px-5.3.3.CSCuy62419-1.0.0
disk0:asr9k-services-px-5.3.3
disk0:asr9k-px-5.3.3.CSCuw32657-1.0.0
disk0:asr9k-px-5.3.3.CSCux36987-1.0.0
disk0:asr9k-px-5.3.3.CSCuy18491-1.0.0
disk0:asr9k-px-5.3.3.CSCuy27610-1.0.0
disk0:asr9k-px-5.3.3.CSCuy73668-1.0.0
disk0:asr9k-px-5.3.3.CSCuy93579-1.0.0
disk0:asr9k-px-5.3.3.CSCuy38364-1.0.0

If I attempt to reload 38364 I get:

================

(admin)#inst ac disk0:asr9k-px-5.3.3.CSCuy38364-1.0.0
Sun Apr 24 10:10:06.955 EDT
Install operation 93 '(admin) install activate disk0:asr9k-px-5.3.3.CSCuy38364-1.0.0' started by user 'peirce' via CLI
at 10:10:07 EDT Sun Apr 24 2016.
Info: Cannot activate the following package as it is already active on the router:
Info:
Info: disk0:asr9k-os-mbi-5.3.3.CSCuy38364-1.0.0
Info:
Info: After this install operation, some SMU package(s) are fully/partially superceded. The fully superseded SMUs
Info: can found using CLI: 'show install superceded'. If found those can be deactivated using CLI: 'install
Info: deactivate superceded'.
Info: The following SMU is not being activated as it does not apply to any packages on the router:
Info:
Info: disk0:asr9k-services-infra-5.3.3.CSCuy38364-1.0.0

6 REPLIES 6
Cisco Employee

hi Garry,

hi Garry,

the SMU for the A9K-VSM-500 kernel crash CSCuy38364 has introduced the dependency on the Service-infra pie. We are aware of the glitch and are looking into ways to clean up the SMU line-up. In the meantime please install the Service-infra pie. Apologies for the inconvenience that this is causing. 

Aleksandar

Beginner

Ok, thanks Aleksandar -

Ok, thanks Aleksandar - appreciate the quick answer (and without having to open up a TAC case).

I'm having the same issue.

I'm having the same issue.  Cannot install CSCux24553 or CSCuy03335 due to dependencies on CSCuy38364.  We are not running services-infra.  I too tried to activate CSCuy38364, but it has no affect since we are not running services-infra.

Please advise.

RP/0/RSP0/CPU0:9006-Spare#admin install activate disk0:*CSC* SYNC 
Fri May 20 07:18:31.481 CDT
Install operation 26 '(admin) install activate disk0:*CSC* synchronous' started by user '<secret>' via
CLI at 07:18:31 CDT Fri May 20 2016.
Info: This operation will activate the following packages:
Info: disk0:asr9k-px-5.3.3.CSCux74411-1.0.0
Info: disk0:asr9k-px-5.3.3.CSCuz60292-1.0.0
Info: disk0:asr9k-px-5.3.3.CSCuz47445-1.0.0
Info: disk0:asr9k-px-5.3.3.CSCuz33376-1.0.0
Info: disk0:asr9k-px-5.3.3.CSCuz14015-1.0.0
Info: disk0:asr9k-px-5.3.3.CSCuz05305-1.0.0
Info: disk0:asr9k-px-5.3.3.CSCuz02374-1.0.0
Info: disk0:asr9k-px-5.3.3.CSCuz01283-1.0.0
Info: disk0:asr9k-px-5.3.3.CSCuy99062-1.0.0
Info: disk0:asr9k-px-5.3.3.CSCuy93579-1.0.0
Info: disk0:asr9k-px-5.3.3.CSCuy84703-1.0.0
Info: disk0:asr9k-px-5.3.3.CSCuy81837-1.0.0
Info: disk0:asr9k-px-5.3.3.CSCuy75848-1.0.0
Info: disk0:asr9k-px-5.3.3.CSCuy73668-1.0.0
Info: disk0:asr9k-px-5.3.3.CSCuy64934-1.0.0
Info: disk0:asr9k-px-5.3.3.CSCuy62419-1.0.0
Info: disk0:asr9k-px-5.3.3.CSCuy62344-1.0.0
Info: disk0:asr9k-px-5.3.3.CSCuy38364-1.0.0
Info: disk0:asr9k-services-infra-5.3.3.CSCuy38364-1.0.0
Info: disk0:asr9k-px-5.3.3.CSCuy38254-1.0.0
Info: disk0:asr9k-px-5.3.3.CSCuy28715-1.0.0
Info: disk0:asr9k-px-5.3.3.CSCuy25796-1.0.0
Info: disk0:asr9k-px-5.3.3.CSCuy21312-1.0.0
Info: disk0:asr9k-px-5.3.3.CSCuy18491-1.0.0
Info: disk0:asr9k-px-5.3.3.CSCuy17914-1.0.0
Info: disk0:asr9k-px-5.3.3.CSCuy13233-1.0.0
Info: disk0:asr9k-px-5.3.3.CSCuy03335-1.0.0
Info: disk0:asr9k-px-5.3.3.CSCux95550-1.0.0
Info: disk0:asr9k-px-5.3.3.CSCux95441-1.0.0
Info: disk0:asr9k-px-5.3.3.CSCux93541-1.0.0
Info: disk0:asr9k-px-5.3.3.CSCux89417-1.0.0
Info: disk0:asr9k-px-5.3.3.CSCux88135-1.0.0
Info: disk0:asr9k-px-5.3.3.CSCux78222-1.0.0
Info: disk0:asr9k-px-5.3.3.CSCux68183-1.0.0
Info: disk0:asr9k-px-5.3.3.CSCux47663-1.0.0
Info: disk0:asr9k-px-5.3.3.CSCux43939-1.0.0
Info: disk0:asr9k-px-5.3.3.CSCux41951-1.0.0
Info: disk0:asr9k-px-5.3.3.CSCux36987-1.0.0
Info: disk0:asr9k-px-5.3.3.CSCux35288-1.0.0
Info: disk0:asr9k-px-5.3.3.CSCux31992-1.0.0
Info: disk0:asr9k-px-5.3.3.CSCux24553-1.0.0
Info: disk0:asr9k-px-5.3.3.CSCux10642-1.0.0
Info: disk0:asr9k-px-5.3.3.CSCuw93667-1.0.0
Info: disk0:asr9k-px-5.3.3.CSCuw80979-1.0.0
Info: disk0:asr9k-px-5.3.3.CSCuw80087-1.0.0
Info: disk0:asr9k-px-5.3.3.CSCuw41734-1.0.0
Info: disk0:asr9k-px-5.3.3.CSCuu61878-1.0.0
Error: Cannot proceed with the activation because of the following package incompatibilities:
Error: asr9k-base-5.3.3.CSCux24553-1.0.0 needs asr9k-services-infra-5.3.3.CSCuy38364-1.0.0 to be
Error: active on the same nodes.
Error: asr9k-base-5.3.3.CSCuy03335-1.0.0 needs asr9k-services-infra-5.3.3.CSCuy38364-1.0.0 to be
Error: active on the same nodes.
Error: asr9k-os-mbi-5.3.3.CSCux24553-1.0.0 needs asr9k-services-infra-5.3.3.CSCuy38364-1.0.0 to
Error: be active on the same nodes.
Error: Suggested steps to resolve this:
Error: - check the installation instructions.
Error: - activate or deactivate the specified packages on the specified nodes.
Install operation 26 failed at 07:19:08 CDT Fri May 20 2016.
RP/0/RSP0/CPU0:9006-Spare#

RP/0/RSP0/CPU0:WINS-Spare#sh install summ
Fri May 20 07:25:35.289 CDT
Default Profile:
SDRs:
Owner
Active Packages:
disk0:asr9k-k9sec-px-5.3.3
disk0:asr9k-fpd-px-5.3.3
disk0:asr9k-mcast-px-5.3.3
disk0:asr9k-mgbl-px-5.3.3
disk0:asr9k-mini-px-5.3.3
disk0:asr9k-mpls-px-5.3.3
disk0:asr9k-px-5.3.3.CSCuy38364-1.0.0
Inactive Packages:
disk0:asr9k-px-5.3.3.CSCuu61878-1.0.0
disk0:asr9k-px-5.3.3.CSCuw41734-1.0.0
disk0:asr9k-px-5.3.3.CSCuw80087-1.0.0
disk0:asr9k-px-5.3.3.CSCuw80979-1.0.0
disk0:asr9k-px-5.3.3.CSCuw93667-1.0.0
disk0:asr9k-px-5.3.3.CSCux10642-1.0.0
disk0:asr9k-px-5.3.3.CSCux24553-1.0.0
disk0:asr9k-px-5.3.3.CSCux31992-1.0.0
disk0:asr9k-px-5.3.3.CSCux35288-1.0.0
disk0:asr9k-px-5.3.3.CSCux36987-1.0.0
disk0:asr9k-px-5.3.3.CSCux41951-1.0.0
disk0:asr9k-px-5.3.3.CSCux47663-1.0.0
disk0:asr9k-px-5.3.3.CSCux68183-1.0.0
disk0:asr9k-px-5.3.3.CSCux78222-1.0.0
disk0:asr9k-px-5.3.3.CSCux88135-1.0.0
disk0:asr9k-px-5.3.3.CSCux89417-1.0.0
disk0:asr9k-px-5.3.3.CSCux93541-1.0.0
disk0:asr9k-px-5.3.3.CSCux95441-1.0.0
disk0:asr9k-px-5.3.3.CSCux95550-1.0.0
disk0:asr9k-px-5.3.3.CSCuy03335-1.0.0
disk0:asr9k-px-5.3.3.CSCuy13233-1.0.0
disk0:asr9k-px-5.3.3.CSCuy17914-1.0.0
disk0:asr9k-px-5.3.3.CSCuy18491-1.0.0
disk0:asr9k-px-5.3.3.CSCuy21312-1.0.0
disk0:asr9k-px-5.3.3.CSCuy25796-1.0.0
disk0:asr9k-px-5.3.3.CSCuy28715-1.0.0
disk0:asr9k-px-5.3.3.CSCuy38254-1.0.0
disk0:asr9k-px-5.3.3.CSCuy38364-1.0.0
disk0:asr9k-px-5.3.3.CSCuy62344-1.0.0
disk0:asr9k-px-5.3.3.CSCuy62419-1.0.0
disk0:asr9k-px-5.3.3.CSCuy64934-1.0.0
disk0:asr9k-px-5.3.3.CSCuy73668-1.0.0
disk0:asr9k-px-5.3.3.CSCuy75848-1.0.0
disk0:asr9k-px-5.3.3.CSCuy81837-1.0.0
disk0:asr9k-px-5.3.3.CSCuy84703-1.0.0
disk0:asr9k-px-5.3.3.CSCuy93579-1.0.0
disk0:asr9k-px-5.3.3.CSCuy99062-1.0.0
disk0:asr9k-px-5.3.3.CSCuz01283-1.0.0
disk0:asr9k-px-5.3.3.CSCuz02374-1.0.0
disk0:asr9k-px-5.3.3.CSCuz05305-1.0.0
disk0:asr9k-px-5.3.3.CSCuz14015-1.0.0
disk0:asr9k-px-5.3.3.CSCuz33376-1.0.0
disk0:asr9k-px-5.3.3.CSCuz47445-1.0.0
disk0:asr9k-px-5.3.3.CSCuz60292-1.0.0
disk0:asr9k-px-5.3.3.CSCux74411-1.0.0
disk0:asr9k-px-5.3.3.CSCux43939-1.0.0
Committed Packages:
disk0:asr9k-k9sec-px-5.3.3
disk0:asr9k-fpd-px-5.3.3
disk0:asr9k-mcast-px-5.3.3
disk0:asr9k-mgbl-px-5.3.3
disk0:asr9k-mini-px-5.3.3
disk0:asr9k-mpls-px-5.3.3
disk0:asr9k-px-5.3.3.CSCuy38364-1.0.0
Superceded Packages:
No packages.
Cisco Employee

hi Benjamin,

hi Benjamin,

please refer to:

https://supportforums.cisco.com/document/13008811/asr9k-service-infra-package-dependency-multiple-smu-lineups

Unfortunately you will have to install the service-infra pie. Alternatively, wait in 5.3.3 Service Pack #2. It should be available in about two weeks.

regards,

/Aleksandar

Thanks Aleksandar.  I just

Thanks Aleksandar.  I just want to confirm that IOS-XR does not support both Service Packs and individual SMUs at the same time.

The reason we prefer individual SMUs is that we have been burned in the past when we hit a bug, Cisco released a SMU to fix the bug that was not part of a Service Pack, and in order to install the SMU we had to uninstall the existing Service Pack, then install all of the missing SMUs.

Cisco Employee

hi Benjamin,

hi Benjamin,

that is correct, we don't officially claim support for SMU over SP. We don't claim support because we can't test all possible SMU over SP combinations.

Having said that, more than half of the SMUs can be installed successfully on top of the SP. There are two types of SMUs that cannot be installed on top of SP: 1) SMUs that touch the master boot record (MBI); 2) SMUs that are built around the very same time when the SP was built.

I hope this clarifies,

Aleksandar

CreatePlease to create content
Content for Community-Ad
August's Community Spotlight Awards